//GrundFarbenErsetzen_501d.js
// 22.05.10 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / <hsa@ringier.ch>
//DESCRIPTION:Ersetzen der Grundfarben (welche beim Konvertieren eines XPress-Dokuments importiert worden sind) durch die InDesign-Grundfarben

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// die drei in der Palette sichtbaren Grundfarben ...
var basColors_e = new Array("Black", "Paper", "Registration");
// ... und die drei importierten XPress-Grundfarben
var impColors_d = new Array("Schwarz", "Wei", "Passkreuze");
var impColors_f = new Array("Noir", "Blanc", "Reprage");

// die weiteren drei Grundfarben, welche nicht im der Palette sichtbar sind ...
var basColors2 = new Array("Cyan", "Magenta", "Yellow");
// ... und die entsprechenden, "bersetzten" XPress-Farben
var impColors2 = new Array("C=100 M=0 Y=0 K=0", "C=0 M=100 Y=0 K=0", "C=0 M=0 Y=100 K=0");

// das importierte franzsische Gelb
var impColors3 = new Array("Jaune");

// versuchen, die drei deutschen Grundfarben zu ersetzen
for (i=0; i<basColors_e.length; i++) {
	try {
		app.documents[0].swatches.item(impColors_d[i]).remove(app.documents[0].swatches.item(basColors_e[i]));
	}
	catch (e) {
	}
}

// versuchen, die drei franzsischen Grundfarben zu ersetzen
for (i=0; i<basColors_e.length; i++) {
	try {
		app.documents[0].swatches.item(impColors_f[i]).remove(app.documents[0].swatches.item(basColors_e[i]));
	}
	catch (e) {
	}
}

/*
// um den folgenden Code zu aktivieren, mssen die beiden Paare Bruchstrich und Stern 
// (zwei Zeilen hher und am Schluss des Textes) entfernt werden

// versuchen, die drei Hinter-Grundfarben zu ersetzen
for (i=0; i<basColors2.length; i++) {
	try {
		app.documents[0].swatches.item(impColors2[i]).remove(app.documents[0].colors.item(basColors2[i]));
	}
	catch (e) {
	}
}

// versuchen, das franzsische Gelb zu ersetzen
try {
	app.documents[0].swatches.item(impColors3[0]).remove(app.documents[0].colors.item(basColors2[2]));
}
catch (e) {
}
*/